package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class StudentVisitCourseHomeWorkDto {
    @ApiModelProperty(value = "课程id",required = false)
    private Long courseScheduleId;

    @ApiModelProperty(value = "课程类型",required = false)
    private GroupType groupType;

    @ApiModelProperty(value = "课程组id",required = false)
    private String groupId;

    @ApiModelProperty(value = "课程名称",required = false)
    private String courseName;

    @ApiModelProperty(value = "课程组名称",required = false)
    private String groupName;

    @ApiModelProperty(value = "布置老师",required = false)
    private String teacherName;

    @ApiModelProperty(value = "作业内容",required = false)
    private String content;

    @ApiModelProperty(value = "提交状态",required = false)
    private YesOrNoEnum status;

    @ApiModelProperty(value = "是否已经回复",required = false)
    private YesOrNoEnum isReplied;

    @ApiModelProperty(value = "是否已查看")
    private YesOrNoEnum isView;

    @ApiModelProperty(value = "布置时间")
    private Date createTime;

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public YesOrNoEnum getStatus() {
        return status;
    }

    public void setStatus(YesOrNoEnum status) {
        this.status = status;
    }

    public YesOrNoEnum getIsReplied() {
        return isReplied;
    }

    public void setIsReplied(YesOrNoEnum isReplied) {
        this.isReplied = isReplied;
    }

    public YesOrNoEnum getIsView() {
        return isView;
    }

    public void setIsView(YesOrNoEnum isView) {
        this.isView = isView;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
